%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname PropertyObject
%define productver  1.3.3

Name:               zope-%{productname}
Summary:            A Zope product: Property Object
Version:            %{productver} 
Release:            1ied00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/mjablonski/%{productname}
Source:             %{productname}-%{productver}.tar.gz
Patch0:             %{productname}-1.3.3-manage-charset.patch
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch


#----------------------------------------------------------------------
%description
You want to create database-apps with the ZMI in a few minutes? Then have a look at the PropertyObject...

The PropertyObject is intended mainly for use in conjunction with the PropertyFolder and AbracadabraObject. If you got the logic and power behind AbracadabraObject, you will love the PropertyObject. If not, you will have no idea what to do with PropertyObject at all... but maybe you can use it for other problems as well.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}
%patch0

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt version.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Fri Feb 13 2004 Wei He <hewei@ied.org.cn> 1.3.3-1ied00
- Built based on Zope 2.7

* Fri Jan  9 2004 Wei He <hewei@ied.org.cn> 1.3.3-0ied00
- Initial release
